
Core - Bug # 50983

Feature # 49988 (Resolved): Backport ApplicationContext from Flow

Status: Resolved Priority: Should have
Author: Steffen Müller Category: Default
Created: 2013-08-10 Assigned To: Steffen Müller
Updated: 2013-08-26 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Add public API to get ApplicationContext 
Description

Application Context is initialized in Bootstrap. We need a public API to get the current context without using the bootstrap itself.

In Flow, the ObjectManager provides this API, but in TYPO3 CMS we do not have this kind of ObjectManager (except in extbase).

The API call is:

\TYPO3\CMS\Core\Utility\GeneralUtility::getContext();

Related issues:
related to Core - Task # 52678: Rename API for ApplicationContext Resolved 2013-10-11

Associated revisions
Revision 89e45c26 - 2013-08-26 15:42 - Steffen Müller

[FEATURE] Add public API to get ApplicationContext

Application Context is initialized in Bootstrap. We need a
public API to get the current context without using the bootstrap
itself.

In Flow, the ObjectManager provides this API, but in TYPO3 CMS we
do not have this kind of ObjectManager (except in extbase).

The API call is:
\TYPO3\CMS\Core\Utility\GeneralUtility::getContext();

Resolves: #50983
Releases: 6.2
Change-Id: Ic900a503b3e2bc184d2bfd43345e72180887ef18
Reviewed-on: https://review.typo3.org/23018
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History
#1 - 2013-08-10 00:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#2 - 2013-08-10 09:52 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#3 - 2013-08-10 11:14 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#4 - 2013-08-12 10:15 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#5 - 2013-08-18 20:51 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#6 - 2013-08-25 23:55 - Ernesto Baschny
- Category set to Default
- Target version set to 6.2.0

#7 - 2013-08-26 15:29 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#8 - 2013-08-26 15:40 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23018

#9 - 2013-08-26 16:30 - Steffen Müller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:89e45c261993f585649d278a845e16367468f562.
